Download it now!
Bug 45317 - ACCESSIBILITY: Images lose title (text alternative) when importing DOCX [accessibility]
Summary: ACCESSIBILITY: Images lose title (text alternative) when importing DOCX [acce...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: a11y-Windows
  Show dependency treegraph
 
Reported: 2012-01-27 08:34 UTC by Christophe Strobbe
Modified: 2016-06-28 12:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
test document created in MS Word 2010 (436.17 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-06-28 09:40 UTC, Andrey Skvortsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Strobbe 2012-01-27 08:34:55 UTC
When importing a DOCX file with images that have text alternatives, the title is thrown away; if an image had a description, this description is mapped to the title.
Steps to reproduce the issue:
1. Create a new Word document in Microsoft Office 2010.
2. Add three images and give each one or two text alternatives, in the following way (right-click on each image, select Format Picture from the context menu, then go to Alt Text):
2.A: Give the first image only a title;
2.B. Give the second image only a description;
2.C. Give the third image both a title and a description.
3. Save the file as DOCX.
4. Open the file in Writer and observe the following (right-click on each image, then select Description from the context menu):
4.A. The image that had only a title now has no text alternative;
4.B. The image that had only a description now has a title containing the original description;
4.C. The image that had both a title and a description now has only a title containing the original description; the description field is now empty.

Desired behaviour:
DOCX title (attribute wp:docPr/@title in document.xml) maps to ODF title (element svg:title in content.xml);
DOCX description (attribute wp:docPr/@descr in document.xml) maps to ODF description (element svg:desc in content.xml).
Comment 1 sasha.libreoffice 2012-03-15 08:11:24 UTC
Thanks for bugreport
Currently I see that in Writer:
- right click->Picture, tab "Options", field Alternative
- right click->Description, field Title
- element svg:title in content.xml
all 3 are the same thing. It is right or it is a bug?

And how to change Title and Description in msWord?

Currently "Alternative text" saved in Word into docx file I see in Writer in Field "Title" and field Alternative. It is right or wrong?
Comment 2 Christophe Strobbe 2012-03-15 08:49:13 UTC
In Writer, the "Alternative (Text Only)" field and the Title field in the Description dialog display the same content. I see no reasons to call this a bug. 

In Microsoft Word 2010, you can edit an image's title and description by going through the following steps: right-click on the image, select "Format Picture" from the context menu, then go to "Alt Text". Note that the explanation below the fields for Title and Description says: "A title can be read to a person with a disability and is used to determine whether they wish to hear the description of the content." This is the behaviour we should expect.

MS Word's Title should map to Writer's Title; MS Word's Description should map to Writer's Description. (Just in case: this has nothing to do with aping Microsoft but with how text alternatives for images are expected to work.)
Comment 3 sasha.libreoffice 2012-03-15 09:23:30 UTC
Thanks for additional explanations. At least exporting to docx format has problem:
instead of real alternative text there appears "A description...". 
IMHO it is a stub for replacing by real functionality in future
Please, add odt file created by Writer and docx file created by Word with information where and which alternative text/title/description placed. So developers can quick test and see what is wrong and how should be.
Comment 4 bfoman (inactive) 2012-07-13 09:43:31 UTC
> 4.A. The image that had only a title now has no text alternative;
> 4.B. The image that had only a description now has a title containing the
> original description;
> 4.C. The image that had both a title and a description now has only a title
> containing the original description; the description field is now empty.

Confirmed with:
LO 3.5.5.3 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 5 Christophe Strobbe 2014-04-28 09:29:52 UTC
This issue has also been confirmed for LibreOffice 4.2.3.3 for Mac OS by Greg Kraus: http://accessibility.oit.ncsu.edu/blog/2014/04/18/the-pain-of-accessible-pdfs-from-ms-word-on-mac-test-results/.
Comment 6 QA Administrators 2016-01-17 20:04:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 7 Andrey Skvortsov 2016-06-28 09:40:28 UTC
Created attachment 125961 [details]
test document created in MS Word 2010
Comment 8 Andrey Skvortsov 2016-06-28 09:44:18 UTC
The issue doesn't exist in 5.1.4. Title and description in all three cases are successfully imported to the right places.
Comment 9 Niklas Johansson 2016-06-28 10:42:46 UTC
(In reply to Andrey Skvortsov from comment #8)
> The issue doesn't exist in 5.1.4. Title and description in all three cases
> are successfully imported to the right places.

Did you save the file in LibreOffice as docx? Is the "title" part correctly saved (exported). Because it is not for me with LibreOffice 5.1.4 on Windows 10. 

Or should that be filed as another bugreport explicitly stating "Images lose title (text alternative) when exporting to DOCX"?
Comment 10 Andrey Skvortsov 2016-06-28 11:17:54 UTC
 Niklas, exporting is a different issue and it's already reported here:
https://bugs.documentfoundation.org/show_bug.cgi?id=43546
Comment 11 Niklas Johansson 2016-06-28 12:04:13 UTC
Perfect, thanks!